#!/usr/bin/env python

import argparse
import json
import subprocess
import sys

def parse_arguments():
    parser = argparse.ArgumentParser(
        description='Provides information regarding a click package')
    parser.add_argument('--key',
                        required=True,
                        help='Returns the requested manifest key value.')
    parser.add_argument('--serial',
                        default=None,
                        help='Specify the android device serial number.')
    parser.add_argument('package', nargs=1,
                        help='Click pacake to inspect')
    return parser.parse_args()


def get_value(key, serial, package):
    cmd = 'adb shell %s click info %s' % (serial, package)
    data = json.loads(subprocess.check_output(cmd, shell=True))
    if key in data:
        return data[key]
    return None


def main():
    args = parse_arguments()
    serial = ""
    if args.serial:
        serial = "-s %s" % (args.serial)
    print(get_value(args.key, serial, args.package[0]))

    return 0

if __name__ == "__main__":
    sys.exit(main())
